import request from '@/utils/request'

// 查询OSS对象存储列表
export function listOss(query) {
  return request({
    url: '/system/oss/list',
    method: 'get',
    params: query
  })
}

// 查询OSS对象存储详细
export function getOss(id) {
  return request({
    url: '/system/oss/' + id,
    method: 'get'
  })
}

// 新增OSS对象存储
export function addOss(data) {
  return request({
    url: '/system/oss',
    method: 'post',
    data: data
  })
}

// 修改OSS对象存储
export function updateOss(data) {
  return request({
    url: '/system/oss',
    method: 'put',
    data: data
  })
}

// 删除OSS对象存储
export function delOss(id) {
  return request({
    url: '/system/oss/' + id,
    method: 'delete'
  })
}
